Subject: Summary about Postscript on Mac

From: Song Liu <[email-masked]>
Date: Thu, 04 Nov 93 10:32:17 -0800

Dear Netter :

Two days ago I posted a question :

Does anyone know any Macintosh packages that read black & white
postscript files created from any UNIX machine?

Song Liu
Chemistry,
UC Irvine

Thanks for the response from everyone, I will summarize here since I
believe it would be helpful to all of us, and I will certainly try
most of the methods

From: [email-masked] (Tom Ngo)
Subject: Re: Mac that reads postscript

Try Freedom of Press.  It's a Postscript interpreter.  There are several
flavors:  Pro, Regular, and Light.  Most people can afford only Regular or
Light.

Also, I've heard that T/Script will do postscript interpreting too, but I
have no direct experience with that.

In either case, don't expect to be able to read *all* postscript properly.

   1801-C Page Mill Rd                
   Palo Alto, CA  94304                                      [email-masked]

Received: from RANI.CHEM.YALE.EDU by mastermodel.ps.uci.edu (920330.SGI/5.17)
	id AA06798; Tue, 2 Nov 93 17:13:55 -0800
Received: by rani.chem.yale.edu; Tue, 2 Nov 93 20:14:14 -0500
From: Dongchul Lim <[email-masked]>

comp.sys.mac.apps or comp.lang.postscript is the right place for
this question. Anyway, postscript files are just ASCII text.
So it doesn't matter where you created them (except Macintosh).
Canvas 3.0 will allow you to display and edit postscript files.
If you want to just insert EPS into a document, 
most word processing programs (such as Word) will do the job.

(^_^)

Received: from NOC4.DCCS.UPENN.EDU by mastermodel.ps.uci.edu (920330.SGI/5.17)
	id AA06875; Tue, 2 Nov 93 17:33:10 -0800
From: "PATHOLOGY & LAB. MEDICINE" <[email-masked]>

Song, Microsoft Word interprets PostScript files during printing on a 
PostScript printer such as an Apple LaserWriter.  I do not know of software 
to interpret PostScript files on the screen.

Gregg Wells
Department of Pathology
University of Pennsylvania
Philadelphia, PA
USA
email: [email-masked]

Received: from hermes.chpc.utexas.edu by mastermodel.ps.uci.edu (920330.SGI/5.17)
	id AA06983; Tue, 2 Nov 93 18:18:45 -0800
Received: by hermes.chpc.utexas.edu (5.64/SMI-3.2)
	id AA24371; Tue, 2 Nov 93 20:18:37 -0600
From: [email-masked] (Max Leong)
: 
	You can try to use "ghostscript" which can be found in 
	archie.au:micros/mac/info-mac/util.   Of course, you can try 
	sumex-aim.stanford.edu.  It is busy all the time, though.
	And they do have some limitations to run ghostscript on Mac's.  
	Check out the documentation to see more details.  For more details 
	about the postscript file, check out the FAQ in 
	wilma.cs.brown.edu:pub/postscript.

- max leong
  [email-masked]

From: Michael A. Peterson <[email-masked]>

Depends what you mean by 'read'.  Microsoft Word will print them, but I don't
know of any Mac apps that will render PS files (that by no means says there
_are_ no Mac apps that can).  Re: Word::  Read the file into Word.  Select the
entire document.  Change the Style to PostScript (case is important).  Then
Print it.

Hope this helps...
MAP

-------------------------------------------------------------------------------

Michael A. Peterson				[email-masked]
Dept. of Chemistry				[email-masked]
Indiana U Purdue U Indianapolis
402 N. Blackford Street				(317) 274-9828  (Voice)
Indianapolis, IN  46202				(317) 274-4701  ( FAX )

-------------------------------------------------------------------------------

From: Fred Brouwer <[email-masked]>

 Many programs are supposed to be able to import postscript files, e.g.
Microsoft Word. Unfortunately my own experience with this sofar is bad :
ps files created by Sybyl turned out to be "invalid" ps files according to
Word but also according to e.g. xv on the IBM rs/6000. THe same files could
however be printed on the Apple LaserWriter....

Fred

dr. A.M. Brouwer
Laboratory of Organic Chemistry , University of Amsterdam
Nieuwe Achtergracht 129 , 1018 WS AMSTERDAM , The Netherlands
phone 31 20 5255491, fax 20 31 5255670

From: Patrick Bultinck <[email-masked]>

a> Dear Mr. Song Liu
> 
> I have read your request for information concerning viewing 
> Unix PS on the Mac. I believe that there exists a package
> for this purpose. I would try to find someone who could
> test the FREEDOM OF PRESS package to see if that can solve
> your problem. Alternatively if you want to print the file on
> a MAC printer you can use the LASERWRITER utility (if you
> use a PS laserwriter off course). You put the file from the 
> Unix machine on an MS_DOS disk, you put the file on your
> Hard Disk and then you tell the utility to print the PS file.
> If you have knowledge of the PS language and if you want to see
> something like the colour used for the picture, just read
> your file into a wordprocessor (MS_WORD e.g.).
> In Short : To print the file on a PS printer, use the utilities
>            that come with most PS printers.
>            To print a file on a non-ps printer (e.g. HP deskwriter)
>            you can use packages like Freedom of press
>            If you want to view the stuff on your mac, try to find 
>            somebody who could let you use his version of FOP to make
>            sure if it can handle your problem (I think it is possible)
>            before you buy it.
>            If it would be your aim to manipulate the files, I would 
>            suggest you to send a note to one of the MAC ftp-sites...
>            If you don't find an answer there, bury the problem...
> 
> I hope that you find a solution,
> Patrick
> [email-masked]> 

From: "Ralph J. Wolf" <[email-masked]>

We have had success with Adobe Acrobat (Distiller and Exchange) and
Photoshop.  Distiller imports standard looking postscipt and creates a
file called a postscript data file readable by Exchange.  Exchange has
document viewing tools in addition to printing.  Acrobat will do
text and graphics.  You can cut the text (but not the graphic) and paste it
into other applications as TEXT.  Since postscipt is ASCII we can EMAIL
graphics about.  Acrobat also runs on Windows.  Note all ftp file
transfers need to be ASCII. 

I hope this helps.

Ralph

 ________________________________________________________________

 Ralph J. Wolf                   Applied Technology Section 
 Email: [email-masked]        Savannah River Technology Center 
 Phone: (803)725-5158        Westinghouse Savannah River Company 
 FAX:   (803)725-8829       Savannah River Site,  Aiken, SC 29808
 ________________________________________________________________

From: [email-masked]

 Dear Song Liu,

I have just discovered one of the best packages for converting unix graphics
of almost any kind to a Mac application.  It's called DeBabelizer from
Equilibrium software.  I ordered it from MacWarehouse for $198.  It will
read any encapsulated postscript file, SUN raster file, 24-bit color
X screen dumps from  IBM's AIX and convert it to a postscript file
or PICT file on the Mac (8-bit).  It's a very powerful tool, probably
more powerful than you need for this one application.  But what I found
is that I've started using it for so many things (I have an SGI and IBM RS/6000)
I don't know how I lived without it.

They have a good technical support hotline, also.  What this package will
allow you to do is convert it into a format that you can go it an edit it
on the Mac.  Very convenient.  The company's vital stats are:

Equilibrium Technologies
475 Gate Five Road  Suite 225
Sausalito, CA
415-332-4343

Good luck!
Anne Chaka
Lubrizol Corp.
Wickliffe, Ohio
[email-masked]

From: [email-masked] (Eugene S. Carter)

Try finding ghostscript/ghostview.
 This should be on sumex-aim,stanford.edu.
---------------------------------------------------------------------------
-   work email:[email-masked]	|Gene Carter			  |
-   play email:[email-masked]	|MS k710			  |
-   Work Phone: 505 662 2591		|Los Alamos National Laboratory   |
-   Group t-10 LANL			|Los Alamos, NM 87545		  |
-                             Against all odds...                         |
===========================================================================

From: "Charles Manly" <[email-masked]>

Try "Freedom of the Press" from ColorAge Inc.

--------------------------------------
Date: 11/3/93 11:58 AM

From: [email-masked] (Slawomir Blonski)

Microsoft Word for Mac can import pictures in the PostScript format.
The picture can be seen in the Print Preview mode.
Actually, our experience is that it works well for small files created by
Gnuplot, but does not work for big files (~850 KB) made by Showcase on SGI.
However, I encourage you to try this way, if you have the MS Word.

Slawomir Blonski

From: Jim Gano <[email-masked]>

T-Script Basic is a relatively inexpensive Postscript viewer
on the Mac.  I see no reason why it should not let you view any
Postscript file.  However, note that in our experience, it is rather slow.
A single image may take a minute to appear.

Jim Gano
Department of Chemistry
University of Toledo
Toledo, Ohio 43606
(419)537-2104 

From: [email-masked] (Kimo B. Yap)

What do you mean by "reads"?  Strictly speaking, postscript files are ascii
files, which any word processor can "read".  However, I assume you mean
something like interpreting the postscript onto the screen (for which you
can use ghostscript) or sending to a postscript printer (for which you
can use SendPS).-kby